Bug 435986 - Document the mgmt-pub-interval parameter in the console deploy guide
Document the mgmt-pub-interval parameter in the console deploy guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Management_Console_Installation_Guide (Show other bugs)
beta
All Linux
high Severity low
: Next Version
: ---
Assigned To: Lana Brindley
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 14:06 EST by Justin Ross
Modified: 2013-10-23 19:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 03:50:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-03-04 14:06:45 EST
The --mgmt-pub-interval command line parameter to qpidd and the corresponding
setting in /etc/rhmd.conf.  This may already be documented in a different guide,
but it's worth mentioning again when a user deploys the console.
Comment 1 Lana Brindley 2008-03-26 21:23:58 EDT
This is related to bug #432781
Comment 2 Lana Brindley 2008-05-05 19:45:04 EDT
To be added for 1.0 docs. Should be ready for review by Friday 16 May.

LKB
Comment 3 Lana Brindley 2008-05-28 23:20:57 EDT
Sorry for the delay. I need more info on this than --help provides me.

  --mgmt-pub-interval SECONDS (10)  Management Publish Interval

Why is this necesary for deploying the console? 
What does it do?
What is the default setting (10 seconds)
What should it be changed to?
Comment 4 Justin Ross 2008-06-02 09:10:17 EDT
It's not necessary, but can be useful.

It controls the interval at which the broker sends updated information (stats,
etc.) to the management console.

The default is 10 seconds, which is usually fine, but if you are (a) sensitive
to load on the broker or your network, you may want to increase the interval
time to 30 seconds (for fewer updates) or if you want (b) higher-resolution
statistics, you may want to decrease the interval time to 5 seconds (for more
frequent updates), for instance.
Comment 5 Lana Brindley 2008-06-03 03:50:12 EDT
Added:

<listitem>
			<para>
				You may also want to adjust how often the &RHM; broker sends updated
information to the &CUMIN;. The default value is 10 seconds. If you are
attempting to reduce the load on the broker or your network, you may want to
increase the interval for fewer updates. If you want higher-resolution
statistics, you may want to decrease the interval time to 5 seconds for more
frequent updates. This can be done using the
<command>mgmt-pub-interval</command> option with &RHM;.
			</para>
<screen>
# /usr/sbin/qpidd --mgmt-pub-interval <replaceable>30</replaceable>
</screen>
		</listitem>

Available for review here:
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_MRG/1.0/html/Management_Console_Installation_Guide/chap-Management_Console_Installation_Guide-Start_Console.html

LKB

Note You need to log in before you can comment on or make changes to this bug.